Loading...
Searching...
No Matches
responseHolder Struct Reference

Holds a stateful function pointer to be called to process the X3DH server response Encapsulate the function pointer in an object to pass its pointer to the java side as it cannot manage stateful function pointers. More...

## Public Member Functions

| responseHolder (const lime::limeX3DHServerResponseProcess &process)

## Public Attributes

const lime::limeX3DHServerResponseProcess | process

## Detailed Description

Holds a stateful function pointer to be called to process the X3DH server response Encapsulate the function pointer in an object to pass its pointer to the java side as it cannot manage stateful function pointers.

## Constructor & Destructor Documentation

## responseHolder()

responseHolder::responseHolder | ( | const lime::limeX3DHServerResponseProcess & | process | ) |

inline

## Member Data Documentation

## process

const lime::limeX3DHServerResponseProcess responseHolder::process

The documentation for this struct was generated from the following file:

- /build/lime-OjNHTX/lime-5.3.105+dfsg/src/lime_jni.cpp